Bug 123586 - sound doesn't work (snd-intel8x0)
sound doesn't work (snd-intel8x0)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 10:45 EDT by Matthew Lenz
Modified: 2015-01-04 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-12 17:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with pci=noacpi enabled, accessed alsamixer prior to starting X (10.98 KB, text/plain)
2004-05-19 10:49 EDT, Matthew Lenz
no flags Details
same scenerio as dmesg_pci-noacpi.txt (1.42 KB, text/plain)
2004-05-19 10:50 EDT, Matthew Lenz
no flags Details
lspci with pci=noacpi enabled, same scenario as previous (comment 3 was lsmod) (1.06 KB, text/plain)
2004-05-19 10:51 EDT, Matthew Lenz
no flags Details
dmesg acpi enabled (10.64 KB, text/plain)
2004-05-19 10:59 EDT, Matthew Lenz
no flags Details
lsmod acpi enabled (1.42 KB, text/plain)
2004-05-19 10:59 EDT, Matthew Lenz
no flags Details
lspci acpi enabled (1.06 KB, text/plain)
2004-05-19 11:00 EDT, Matthew Lenz
no flags Details

  None (edit)
Description Matthew Lenz 2004-05-19 10:45:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Sound doesn't work for new FC2 install.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. boot system
2. play test sound with 'System Settings / Soundcard Detection'
    

Actual Results:  no sound is played

Expected Results:  sound is played

Additional info:

I will submit lsmod, lspci and dmesg output as an attachment.
Comment 1 Matthew Lenz 2004-05-19 10:46:19 EDT
I have tried with and without pci=noacpi
Comment 2 Matthew Lenz 2004-05-19 10:49:44 EDT
Created attachment 100337 [details]
dmesg with pci=noacpi enabled, accessed alsamixer prior to starting X
Comment 3 Matthew Lenz 2004-05-19 10:50:17 EDT
Created attachment 100338 [details]
same scenerio as dmesg_pci-noacpi.txt
Comment 4 Matthew Lenz 2004-05-19 10:51:49 EDT
Created attachment 100339 [details]
lspci with pci=noacpi enabled, same scenario as previous (comment 3 was lsmod)
Comment 5 Matthew Lenz 2004-05-19 10:58:52 EDT
here is the next round of attachments.  These are with the standard
grub boot options that FC2 installed by default. (in other words,
pci=noacpi is not used)
Comment 6 Matthew Lenz 2004-05-19 10:59:18 EDT
Created attachment 100341 [details]
dmesg acpi enabled
Comment 7 Matthew Lenz 2004-05-19 10:59:40 EDT
Created attachment 100342 [details]
lsmod acpi enabled
Comment 8 Matthew Lenz 2004-05-19 11:00:21 EDT
Created attachment 100343 [details]
lspci acpi enabled
Comment 9 Matthew Lenz 2004-05-19 11:01:55 EDT
I'd also like to mention that if i try to access gnome-volume-control
i get the error "sorry, no mixer elements and/or devices found".  Just
so we can rule (atleast partially) that everything is simply muted.
Comment 10 Matthew Lenz 2004-05-19 11:03:10 EDT
i've also tried enabling and disabling the sound server under
'Preferences / Sound'
Comment 11 Matthew Lenz 2004-05-19 11:49:10 EDT
ugh.  I got it working but this definately needs to be reassigned to
another component.  Master and PCM were the only two things enabled in
the amixer (and alsamixer).  When I enabled more channels it started
working.

The crazy thing is that it would NOT let me access the
gnome-volume-control until i enabled some of these channels.  That
alone makes it a pretty serious bug I'd guess.  As serious as no sound
working can be atleast :)

I'm going to reassign this to alsa-lib for the component.
Comment 12 Christopher Beland 2004-06-08 02:19:48 EDT
Bug 122557, 122953, bug 123389, bug 123586, bug 123631, and bug 124497
all seem to be describing the same problem.  Some of these are already
assigned.  Bug 123631 seems to be the best-documented, so I am putting
additional diagnostic info there.  Someone with the right permissions
should probably mark the others as duplicates as appropriate.
Comment 13 John Bunch 2004-11-14 08:18:57 EST
This is still broken in Fedora Core 3, with the same symptoms.
Comment 14 Martin Stransky 2005-01-05 06:54:12 EST
Can you please describe better your problems? Do you have trouble with
comand-line tools (aplay, alsamixer) or any X programs (xmms, mplayer
and other)? What device for play do you use?

Can you please test simple commands (on console, not under X) like:

"aplay -D plughw:0,0 /usr/share/sounds/error.wav" or
"aplay -D default /usr/share/sounds/error.wav"

if work?

Next, try to use alsamixer (from console) and if it doesn't help,
attach please your ~/.asoundrc, /etc/asound.conf, /etc/alsa/alsa.conf
(if exist) and output from amixer.

Thanks.
Comment 15 Matthew Miller 2005-04-26 11:45:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 16 Gravis 2005-06-16 15:44:57 EDT
Same problem here. The soundcard worked correctly with FC3.
I checked the level in alsamixer too.

Should I open a new bug report in FC4 ?
Comment 17 Matthew Lenz 2005-06-16 15:53:48 EDT
everything works fine in fc4 for me with a clean install.  

did you upgrade or reinstall?
Comment 18 Gravis 2005-06-17 08:27:42 EDT
Problem solved for me.

I just had to activate <External> in alsamixer (not available in kmix).
Comment 19 Matthew Miller 2005-07-12 17:38:24 EDT
Marking "WORKSFORME" as per comment #18. 

Note You need to log in before you can comment on or make changes to this bug.